package com.zeekling.builder;


/**
 * 指挥创建蚂蚁
 */
public class Director {

    private AntBuilder builder;

    public Director(AntBuilder builder){
        this.builder = builder;
    }

    /**
     * 按照指定的顺序创建蚂蚁
     * @return 创建得到的蚂蚁
     */
    public Ant buildAnt(){
        builder.buildHead();
        builder.buildBody();
        builder.buildFoot();
        return builder.getAnt();
    }
}
