package Builder.builder.test;


import com.zeekling.builder.Ant;
import com.zeekling.builder.AntBuilder;
import com.zeekling.builder.AntBuilderImp;
import com.zeekling.builder.Director;

/**
 * 建造者模式
 */
public class Test {
    public static void main(String[] args) {
        AntBuilder builder = new AntBuilderImp();
        Director director = new Director(builder);
        System.out.println("begin build.......");
        Ant ant = director.buildAnt();
        System.out.println("build end");
        System.out.println("head=" + ant.getHead()+",body="+ant.getBody()+",foot="+ant.getFoot());
    }
}
