package com.zeekling.simpleFactory;

import org.junit.Test;

/**
 * @author 令照辉 [zeekling@163.com]
 * @version 1.0
 * @apiNote
 * @since 2019-12-02
 */
public class SimpleFactoryTest {


    @Test
    public void printCar(){
        CarFactory factory = new CarFactoryImpl();
        //利用工厂创建Ferrari类
        Car ferrari = factory.getCar(Ferrari.class);
        System.out.println(ferrari.name()+"\t"+ferrari.color()+"\t"+ferrari.pay());
        //利用工厂创建RollsRoyce类
        Car rollsRoyce = factory.getCar(RollsRoyce.class);
        System.out.println(rollsRoyce.name()+"\t"+rollsRoyce.color()+"\t"+rollsRoyce.pay());
    }


}
