package com.zeekling.command;

/**
 * @author 令照辉 [zeekling@163.com]
 * @version 1.0
 * @apiNote
 * @since 2018-05-21
 */
public class Invoker {

    private Command command;

    public Invoker(){}

    public Invoker(Command command){
        this.command = command;
    }

    public void call(){
        if (command != null){
            command.execute();
        }
    }

    public Command getCommand() {
        return command;
    }

    public void setCommand(Command command) {
        this.command = command;
    }
}
