package composite.composite.test;

import com.zeekling.composite.Component;
import com.zeekling.composite.Composite;
import com.zeekling.composite.Part;

/**
 * 组合模式
 */
public class Test {

    public static void main(String[] args) {
        Component composite =  new Composite("composite");
        Component one = new Part("part one");
        Component two = new Part("part two");
        composite.add(one);
        composite.add(two);
        composite.display();
    }
}
