# 装饰器模式
## 简介

装饰模式以对客户透明的方式动态地给一个对象附加上更多的责任。换言之，客户端并不会觉得对象在装饰前和装饰后有什么不同。装饰模式可以在不使用创造更多子类的情况下，将对象的功能加以扩展。

## 装饰器模式类图
![装饰器模式类图](http://www.zeekling.cn/gogs/zeek/designPattern/raw/master/pics/decorator.png)

## 主要角色
* 抽象构建角色：给出一个抽象接口，以规范准备接受附加责任的对象。
* 具体构件角色：定义一个将要接受附加责任的类。
* 装饰角色：持有一个构件对象的实例，并定义一个与抽象构件接口一致的接口。
* 具体装饰器角色：负责给构件对象“贴上”附加的责任。


