package com.zeekling.proxy;

import java.lang.reflect.InvocationHandler;
import java.lang.reflect.Method;

/**
 * @author 令照辉 [zeekling@163.com]
 * @version 1.0
 * @since 2018-05-13
 */
public class DynamicProxy implements InvocationHandler {

    private Object target;

    public DynamicProxy(){
        super();
    }

    public DynamicProxy(Object target){
        super();
        this.target = target;
    }


    @Override
    public Object invoke(Object o, Method method, Object[] args) throws Throwable {
        Object result = null;
        if (target != null){
            System.out.println("--------before-----");
            result = method.invoke(target,args);
            System.out.println("--------after------");
        }
        return result;
    }

    public Object getTarget() {
        return target;
    }

    public void setTarget(Object target) {
        this.target = target;
    }
}
