### 静态代理模式
#### 包含角色
* Subject:抽象主题角色,可以是接口，也可以是抽象类。
* RealSubject:真实主题角色。业务逻辑的具体执行者。
* ProxySubject:代理主题角色。内部含有RealSubject的引用,负责对真实角色的调用，并在真实主题角色处理前后做预处理
  和善后工作。

#### 应用场景
>例如：假设有一组对象都实现同一个接口，实现同样的方法，但这组对象中有一部分对象需要有单独的方法，传统的笨办
>法是在每一个应用端都加上这个单独的方法，但是代码重用性低，耦合性高。


### UML图
![代理模式](http://www.zeekling.cn/gogs/zeek/designPattern/raw/master/pics/proxy.png)
