
package proxy.proxy.test;

import com.zeekling.proxy.DynamicProxy;
import com.zeekling.proxy.Person;
import com.zeekling.proxy.Real;
import com.zeekling.proxy.RealSecond;

import java.lang.reflect.Proxy;

/**
 * Created by lzh on 3/29/16.
 * 代理模式
 */
public class Test {
    public static void main(String[] args) {
        Person person = new com.zeekling.proxy.Proxy();
        Person real = new Real();
        Person realSecond = new RealSecond();
        person.say();
        DynamicProxy dynamicProxy = new DynamicProxy(real);
        Person proxy = (Person) Proxy.newProxyInstance(person.getClass().getClassLoader(),
                person.getClass().getInterfaces(), dynamicProxy);
        proxy.say();
        dynamicProxy.setTarget(realSecond);
        proxy.say();
    }
}
