package com.zeekling.abstractFactory;

import com.zeekling.abstractFactory.impl.FactoryImpl;
import org.junit.Assert;
import org.junit.Test;

/**
 * @author 令照辉 [zeekling@163.com]
 * @version 1.0
 * @apiNote
 * @since 2019-12-02
 */
public class AbstractFactoryTest {

    @Test
    public void abstractFactory(){
        AbstractFactory factory = new FactoryImpl();
        Assert.assertEquals("美国产主板:美国产显示屏", factory.america());
        Assert.assertEquals("中国产主板:中国产显示屏", factory.chinese());
    }
}
